public class Sort {

    // Sortieren durch Auswaehlen
    // vgl. Folie 424 Skript Einfuehrung in die Programmierung
    public static void sortiere(Comparable[] a) {
	Comparable tmp;
        int        imin;

	// finde ab jeder Position i das kleinste verbleibende Element
        for (int i=0 ; i<a.length-1 ; i++) {
	    imin = i;					// zunaechst ist das Element an Position i
							// das Kleinste
	    // Suche ab Position i+1 nach kleineren Elementen
	    for (int j=i+1 ; j<a.length ; j++) {
	        if (a[j].compareTo(a[imin]) < 0) {	// und merke mir die Position des Kleinsten
		    imin = j;
		}
	    }
	    // Element an Position imin ist das kleinste Element zwischen i und a.length-1
            // vertausche nun Objekte an den Positionen i und imin
	    tmp = a[i];
	    a[i] = a[imin];
	    a[imin] = tmp;
	    // jetzt stehen aufsteigend sortiert die i+1 kleinsten Elemente
	    // an den Positionen 0 bis i
	}
    }
}
