/*
 * Funktionen der Art f(x) = a * exp(b*x)
 */
public class ExponentialFunktion implements Funktion {

    private double a;
    private double b;

    public ExponentialFunktion(double a, double b) {
        this.a = a;
	this.b = b;
    }

    public double eval(double x) {
        return this.a * Math.exp(this.b*x);
    }

    /*
     * f'(x) = a * b * exp(b*x)
     */
    public Funktion differenziere() {
        return new ExponentialFunktion(this.a*this.b, this.b);
    }
}
